=== debian/changelog ===
policycoreutils (2.1.13-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Add gawk to the build-dependencies, this is needed for some manpages
      generation
    - Add python-audit to the Recommends
    - Bump Standards-Version to 3.9.4 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 May 2013 01:44:10 +0200

policycoreutils (2.1.13-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - Bump {build-}dependencies
    - debian/patches/0002-Made-fixfiles-display-the-progress.patch: Refreshed
    - debian/patches/0004-manpages.patch: Refreshed
    - debian/patches/0005-build-system.patch: Refreshed
    - debian/patches/0006-default-config.patch: Refreshed
    - d/p/0007-Fix-infinite-loop-i-watch-code.patch: Dropped, applied upstream
    - d/p/0008-Only-run-setfiles-if-we-found-read-write-filesystems.patch:
      Dropped, applied upstream
    - d/p/0010-fix-ftbfs-with-hardening-flags.patch: Dropped, applied upstream
    - debian/patches/0011-restorecon-no-error.patch: Dropped, applied upstream
    - debian/patches/0013-use_dpkg_buildflags.patch: Refreshed
    - debian/patches/0014-po-file-update.patch: Refreshed
    - debian/patches/0017-no-sandbox: Refreshed
  * debian/watch: Fix watch file URL
  * debian/gbp.conf: Change default git-buildpackage build-directory and the
    debian-branch to "debian" instead of "upstream"
  * debian/rules: Move bash completion scripts to the new location
  * Override INITDIR and SYSCONFDIR from debian/rules instead of patching
    Makefiles directly
  * debian/policycoreutils.dirs: Install /var/lib/selinux/ directory, this is
    needed for some operations of semanage (Closes: #668174)
  * Add debian/patches/0017-sandbox-config.patch: The sandbox configuration
    file is located in /etc/default/sandbox
  * Do not install system-config-selinux for now, it needs some adjustements
    for debian
  * debian/policycoreutils.maintscript: Properly remove /etc/init.d/sandbox
    and /etc/default/sandbox that were dropped previous version
    (Closes: #689048)
  * Rework initscripts using /etc/init.d/skeleton as a template
  * Include common-* files in newrole and run_init pam services
  * Add dependency against selinux-utils for selinuxenabled executable

 -- Laurent Bigonville <bigon@debian.org>  Sat, 29 Sep 2012 23:16:16 +0200

policycoreutils (2.1.10-9) unstable; urgency=high

  * Revert the munging of setrans.conf which was introduced in 2.1.10-7.
    Closes: #677759
  * Made mcstrans ignore a line containing "s0=" to properly solve the
    original problem.
  * Made the mcstrans init script not return an error when you stop it twice.
  * Included a new version of open_init_pty that doesn't take 100% CPU time.
    Closes: #474956
  * Removed sandbox because it's a new feature that we never had working, also
    removed seunshare because it's not needed and brought in an annoying
    dependency on libcgroup1
    Closes: #678590

 -- Russell Coker <russell@coker.com.au>  Tue, 26 Jun 2012 17:22:05 +1000

policycoreutils (2.1.10-8) unstable; urgency=low

  * Drop /selinux directory, we are planning to move to /sys/fs/selinux, and
    it's already created by libselinux1 package anyway.
    From Laurent Bigonville

 -- Russell Coker <russell@coker.com.au>  Sat, 16 Jun 2012 23:37:05 +1000

policycoreutils (2.1.10-7) unstable; urgency=low

  * Correctly label /run/setrans.
  * Fix /etc/selinux/default/setrans.conf if it contains old syntax so we
    can start the new version of mcstrans.

 -- Russell Coker <russell@coker.com.au>  Sat, 16 Jun 2012 17:59:24 +1000

policycoreutils (2.1.10-6) unstable; urgency=low

  * Team upload.
  * debian/control, debian/patches/0013-use_dpkg_buildflags.patch: Enable
    hardening flags for all components of the package (Closes: #665320)
  * debian/control: Fix Vcs-Browser URL
  * debian/patches/0014-po-file-update.patch: Update the po files, this allows
    the package to build twice in a row again (Closes: #662514)
  * debian/rules: Install the right pam files

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Mar 2012 17:45:36 +0200

policycoreutils (2.1.10-5) unstable; urgency=low

  * Team upload.
  * Switch to dh sequence and debhelper 9
  * Merge my missing patches
  * d/p/fix-ftbfs-hardening-flags.patch: Fix FTBFS with hardening flags
  * d/policycoreutils.lintian-overrides: Drop non-standard-toplevel-dir selinux/
  * debian/patches/0006-default-config.patch: Properly disable sandbox by
    default
  * Rewrite maintainer scripts to use debhelper generated stanza.
    (Should closes: #660345)
  * debian/control: Update Vcs-* fields
  * Add debian/gbp.conf file
  * debian/control:
    - Add Pre-Depends: ${misc:Pre-Depends} field
    - Make policycoreutils arch:linux-any
    - Put under the Debian SELinux team maintenance
    - Bump python-setools dependency to >= 3.3.7-2

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Mar 2012 19:50:46 +0100

policycoreutils (2.1.10-4) unstable; urgency=low

  * Made it depend on python-setools for audit2allow

 -- Russell Coker <russell@coker.com.au>  Mon, 19 Mar 2012 16:00:12 +1100

policycoreutils (2.1.10-2) unstable; urgency=low

  * Depend on python-ipy for semanage
  * Fix command not found error in init.d/sandbox
    Closes: #663419
  * Added patch from Martin Orr to make restorecon not return 1 (error) when
    it relabels a file.
    Closes: #662990

 -- Russell Coker <russell@coker.com.au>  Thu, 15 Mar 2012 10:52:29 +1100
