## policycoreutils 2.2.5

=== load_policy/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
 	install -m 644 load_policy.8 $(MANDIR)/man8/
 	-mkdir -p $(USRSBINDIR)
-	-ln -sf /sbin/load_policy $(USRSBINDIR)/load_policy
+	-ln -sf $(SBINDIR)/load_policy $(USRSBINDIR)/load_policy 
 
 clean:
 	-rm -f $(TARGETS) *.o
