=== po/Makefile ===
--- 
+++ 
@@ -53,32 +53,46 @@
 	../gui/modulesPage.py \
 	../gui/polgen.glade \
 	../gui/polgengui.py \
-	../gui/polgen.py \
 	../gui/portsPage.py \
 	../gui/semanagePage.py \
 	../gui/statusPage.py \
 	../gui/system-config-selinux.glade \
 	../gui/system-config-selinux.py \
 	../gui/usersPage.py \
-	../gui/templates/executable.py \
-	../gui/templates/__init__.py \
-	../gui/templates/network.py \
-	../gui/templates/rw.py \
-	../gui/templates/script.py \
-	../gui/templates/semodule.py \
-	../gui/templates/tmp.py \
-	../gui/templates/user.py \
-	../gui/templates/var_lib.py \
-	../gui/templates/var_log.py \
-	../gui/templates/var_run.py \
-	../gui/templates/var_spool.py \
-	../secon/secon.c
+	../secon/secon.c \
+	booleans.py \
+	../sepolicy/info.c \
+	../sepolicy/search.c \
+	../sepolicy/sepolicy.py \
+	../sepolicy/sepolicy/communicate.py \
+	../sepolicy/sepolicy/__init__.py \
+	../sepolicy/sepolicy/network.py \
+	../sepolicy/sepolicy/generate.py \
+	../sepolicy/sepolicy/sepolicy.glade \
+	../sepolicy/sepolicy/gui.py \
+	../sepolicy/sepolicy/manpage.py \
+	../sepolicy/sepolicy/transition.py \
+	../sepolicy/sepolicy/templates/executable.py \
+	../sepolicy/sepolicy/templates/__init__.py \
+	../sepolicy/sepolicy/templates/network.py \
+	../sepolicy/sepolicy/templates/rw.py \
+	../sepolicy/sepolicy/templates/script.py \
+	../sepolicy/sepolicy/templates/semodule.py \
+	../sepolicy/sepolicy/templates/tmp.py \
+	../sepolicy/sepolicy/templates/user.py \
+	../sepolicy/sepolicy/templates/var_lib.py \
+	../sepolicy/sepolicy/templates/var_log.py \
+	../sepolicy/sepolicy/templates/var_run.py \
+	../sepolicy/sepolicy/templates/var_spool.py
 
 #default:: clean
 
-all::  update-po $(MOFILES)
+all::  $(MOFILES)
 
-$(POTFILE): $(POTFILES) 
+booleans.py:
+	sepolicy booleans -a > booleans.py
+
+$(POTFILE): $(POTFILES) booleans.py
 	$(XGETTEXT) --keyword=_ --keyword=N_ $(POTFILES)
 	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
 	    rm -f $(NLSPACKAGE).po; \
@@ -87,6 +101,7 @@
 	fi; \
 
 update-po: Makefile $(POTFILE) refresh-po
+	@rm -f booleans.py
 
 refresh-po: Makefile
 	for cat in $(POFILES); do \
