=== debian/changelog ===
policycoreutils (2.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 29 Dec 2013 14:43:17 +0100

policycoreutils (2.2.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Drop d/p/0023-semanage_default_encoding.patch: Merged upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Dec 2013 20:02:14 +0100

policycoreutils (2.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match the release
    - debian/control: Add python-dev, libapol-dev and libqpol-dev to the
      build-depencencies
    - Add new python-sepolicy package
    - d/p/0002-Made-fixfiles-display-the-progress.patch: Refreshed
    - Drop d/p/0004-manpages.patch: Fixed upstream
    - d/p/0005-build-system.patch: Refreshed
    - d/p/0006-default-config.patch: Refreshed
    - d/p/0009-find-does-not-have-a-context-switch.patch: Refreshed
    - Drop d/p/0013-use_dpkg_buildflags.patch: Fixed upstream
    - Drop d/p/0014-po-file-update.patch: .po files are not updated during
      build anymore
    - d/p/0017-no-sandbox: Refreshed
    - d/p/0018-sandbox-config.patch: Refreshed
  * debian/rules: bash-completion script are now properly installed
  * debian/patches/0022-sepolicy-path.patch: Install sepolicy modules in the
    correct location
  * debian/rules: Fix /usr/sbin/load_policy symlink creation
  * debian/rules: Set $SYSTEMDDIR variable to /lib/systemd, so systemd units
    files are installed in the correct directory
  * debian/control, debian/rules: Add calls to dh_systemd tools
  * debian/rules, debian/policycoreutils.install: Pass --destdir option to
    dh_auto_install and list files to install in the package
  * Add debian/patches/0023-semanage_default_encoding.patch: Remove import for
    not upstreamed module
  * Add debian/patches/0024-fix-manpages.patch: Fix some minor manpages issues
  * debian/control: Use canonical URL in VCS-Git field
  * d/p/0025-restorecon-service.patch: Improve restorecond service file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Nov 2013 22:32:23 +0100
