=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: policycoreutils
-VCS-Git: git://anonscm.debian.org/git/selinux/policycoreutils.git
+VCS-Git: git://anonscm.debian.org/selinux/policycoreutils.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/policycoreutils.git;a=summary
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.0),
+               dh-systemd (>= 1.4),
                file,
                gawk,
                gettext,
+               libapol-dev,
+               libqpol-dev,
                libaudit-dev,
                libcap-dev,
                libcap-ng-dev,
@@ -21,10 +24,10 @@
                libglib2.0-dev,
                libpam0g-dev,
                libpcre3-dev,
-               libselinux1-dev (>= 2.1.12),
-               libsemanage1-dev (>= 2.1.9),
-               libsepol1-dev (>= 2.1.8),
-               python (>= 2.6.6-3~),
+               libselinux1-dev (>= 2.2),
+               libsemanage1-dev (>= 2.2),
+               libsepol1-dev (>= 2.2),
+               python-dev (>= 2.6.6-3~),
                python-sepolgen (>= 1.1.8)
 X-Python-Version: >= 2.5
 Homepage: http://userspace.selinuxproject.org/
@@ -34,10 +37,11 @@
 Depends: lsb-base (>= 3.2-13),
          psmisc,
          python-ipy,
-         python-selinux,
-         python-semanage,
-         python-sepolgen (>= 1.1.8),
+         python-selinux (>= 2.2),
+         python-semanage (>= 2.2),
+         python-sepolgen (>= 1.2.1),
          python-setools (>= 3.3.7-2),
+         python-sepolicy (= ${binary:Version}),
          selinux-utils,
          ${misc:Depends},
          ${python:Depends},
@@ -74,3 +78,14 @@
  from c0 to c1023.  Names such as s0 and c1023 and not easily readable by
  humans, so mcstransd translated them to human readable labels such as
  SystemLow and SystemHigh.
+
+Package: python-sepolicy
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+         python-selinux (>= 2.2),
+         python-sepolgen (>= 1.2.1)
+Section: python
+Description: Python binding for SELinux Policy Analyses
+ This package contains a Python binding for SELinux Policy Analyses.
